# Workflow Delegation ## Create a Workflow Delegation - [POST /workflowdelegationmanager.add](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/workflow-delegation/post-workflowdelegationmanager.add.md): Adds a new delegation record. Allows you to assign approval rights to another user and set the time period in which the delegation should be active. > Use the /workflowdelegationmanager.checkdates (Validate a Workflow Delegation) endpoint to ensure that all provided dates are valid and there are no conflicts. ## List Delegated Workflows - [POST /workflowdelegationmanager.fetch](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/workflow-delegation/post-workflowdelegationmanager.fetch.md): Retrieves a list of workflow delegations. A filter can be applied to return Initialized, Activated, or EndDated workflow delegations only. See the example below. The Filter Example: Returns only active delegations (status = ACTIVATED.) json { "data":{ "_constructor":"AdvancedCriteria", "operator":"and", "criteria":[ { "fieldName":"status", "operator":"equals", "value":"ACTIVATED" } ] } } ## Validate a Workflow Delegation - [POST /workflowdelegationmanager.checkdates](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/workflow-delegation/post-workflowdelegationmanager.checkdates.md): Checks delegation for conflicts. Always use this operation before /workflowdelegationmanager.add to prevent invalid date conflicts in the new delegation. Use the same payload as for the /workflowdelegationmanager.add operation. ## Delete a Workflow Delegation - [POST /workflowdelegationmanager.delete](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/workflow-delegation/post-workflowdelegationmanager.delete.md): Deletes a delegation and returns the deleted delegation details. >A delegation where status = ACTIVATED cannot be deleted. Only delegations that have not been activated yet (startDate is in the future) can be deleted. Use the /workflowdelegationmanager.enddate endpoint to terminate an activated workflow delegation. ## Update a Workflow Delegation - [POST /workflowdelegationmanager.update](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/workflow-delegation/post-workflowdelegationmanager.update.md): Allows you to update a workflow delegation's note. Returns updated delegation details. ## Deactivate a Workflow Delegation - [POST /workflowdelegationmanager.enddate](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/workflow-delegation/post-workflowdelegationmanager.enddate.md): Terminates an activated workflow delegation. Returns details of the terminated workflow delegation.